<?php
//var_dump($keyword);
$settings = isset( $column_settings[$keyword] ) ? $column_settings[$keyword] : false;
$label_text = isset( $settings['label_text'] ) ? $settings['label_text'] : false;

if( !function_exists( 'get_field_object' ) ){
    return;
}
$acf_obj = get_field_object($keyword, $id);

if(!$acf_obj){
    return;
}

$get_field = get_field($keyword, $id);
$type = isset( $acf_obj['type'] ) ? $acf_obj['type'] : false;
if( !$type ){
    return;
}
//var_dump($acf_obj);
//var_dump($get_field);



switch ($type){
    case 'file':
        $value = isset( $acf_obj['value'] ) ? $acf_obj['value'] : false;
        if( $value && isset( $value['url'] ) && !empty( $value['url'] )){
        $url =  $value['url'];   
        $label = $label_text ? $label_text :  $acf_obj['label'];
        ?>
<a class="wpt_acf wpt_type_file" target="_blank" href="<?php echo esc_url( $url ) ?>"><?php echo esc_html( $label ); ?></a>
        <?php
        }
        break;
    
    case 'url':
        $value = isset( $acf_obj['value'] ) ? $acf_obj['value'] : false;
        if( !empty( $value ) ){
        $label = $label_text ? $label_text :  $acf_obj['label'];
        ?>
<a class="wpt_acf wpt_type_url" target="_blank" href="<?php echo esc_url( $value ) ?>"><?php echo esc_html( $label ); ?></a>
        <?php
        }
        break;
    
    case 'email':
        $value = isset( $acf_obj['value'] ) ? $acf_obj['value'] : false;
        if( !empty( $value ) ){
        $label = $label_text ? $label_text :  $value;
        ?>
<a class="wpt_acf wpt_type_email" target="_blank" href="mailto:<?php echo esc_attr( $value ) ?>"><?php echo esc_html( $label ); ?></a>
        <?php
        }
        break;
    
    case 'select':
    case 'radio':
        $value = isset( $acf_obj['value'] ) ? $acf_obj['value'] : false;
        echo isset( $acf_obj['choices'][$value] ) ? $acf_obj['choices'][$value] : false;
        break;
    
    case 'image':
        $value = isset( $acf_obj['value'] ) ? $acf_obj['value'] : false;
        if( $value && isset( $value['url'] ) && !empty( $value['url'] ) ){
        $url =  $value['url'];   
        ?>
        <img class="wpt_acf wpt_type_file" src="<?php echo esc_url( $url ) ?>">
        <?php
        }
        break;
    
    
    
    default:
        echo is_string( $get_field ) ? $get_field : false;
}
